Bug 287199 - Canceling doesn't reset the changes made in the dialog (nor does reopening it)
Summary: Canceling doesn't reset the changes made in the dialog (nor does reopening it)
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Unclassified
Component: kedittoolbar (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-21 22:11 UTC by Lasse Liehu
Modified: 2012-12-05 11:59 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lasse Liehu 2011-11-21 22:11:04 UTC
Version:           unspecified (using KDE 4.7.3) 
OS:                Linux

After canceling from the dialog and opening it again, the changes that were not applied before canceling are still intact in the dialog.

Reproducible: Always

Steps to Reproduce:
1. Open it for example from KWrite: Settings | Configure Toolbars...
2. Remove for example the "New" action from the main toolbar
3. Press Cancel
4. Reopen the dialog from the menu

Actual Results:  
The New action is still missing.

Expected Results:  
The New action should be there, i.e. the dialog should reset to reflect the current configuration.
Comment 1 Laurent Montel 2012-12-05 08:45:02 UTC
I confirm it.
Comment 2 Laurent Montel 2012-12-05 11:59:46 UTC
Git commit 8d86e26b65f2fa1159f6cba584498b717a6dc6e5 by Montel Laurent.
Committed on 05/12/2012 at 12:58.
Pushed by mlaurent into branch 'KDE/4.10'.

Fix Bug 287199 - Canceling doesn't reset the changes made in the dialog

(nor does reopening it)

Thanks David to help me. We must close xmldocument.

FIXED-IN: 4.10

M  +1    -1    kdeui/dialogs/kedittoolbar.cpp

http://commits.kde.org/kdelibs/8d86e26b65f2fa1159f6cba584498b717a6dc6e5